# [[file:~/bigtest/bigtest.org::*Configuration][Configuration:2]]
from os import environ
# Note:  this file is meta-programmed from a document.  Most users will edit their 'OVERRIDES' files.

# make debugging easier by changing from a parallel run to a serial one
#     defaults to False -- set to True to change to a serial run.
debug = False

# homeregion is in the console under a URL like the following:
#     https://console.us-phoenix-1.oraclecloud.com/a/tenancy
# It's needed for setting up the dynamic-group and policy which are global.
homeregion = 'us-phoenix-1'

# set the compartment OCID and compartment display name where you want to create objects
#   the compartment name is needed to set up a policy for a dynamic group.
compartment = 'replaceme'
cname = 'clustered-networking'

# set the tenancy OCID where the dynamic-group and policy will be created
tenancy = 'replaceme'

# set the dynamic-group name
dgname = 'launchtest'

# number of launches to do per (region,ad) tuple (unrelated to tenancy limits)
launches = 30

# maximum number of instances to run simultaneously
#   number should be <= the minimum tenancy limit for the (region,AD,shape) tuple
limit = 10

# shape to instantiate
shape = 'VM.Standard2.2'

# path to the public key used for instance creation
public_key = 'replaceme'

# set the bucketname where specint zip file exists
specintbucket = 'specintbucket_'

# set the name of specint zip file in the bucket
specintfilename = 'specintfilename_'


# regions and availability domain targets for launches
regions = [
  [
    'eu-frankfurt-1',
    'gGrq:EU-FRANKFURT-1-AD-1,gGrq:EU-FRANKFURT-1-AD-2,gGrq:EU-FRANKFURT-1-AD-3'
  ],
  [
    'us-ashburn-1',
    'gGrq:US-ASHBURN-AD-1,gGrq:US-ASHBURN-AD-2,gGrq:US-ASHBURN-AD-3'
  ],
  [
    'ap-seoul-1',
    'gGrq:AP-SEOUL-1-AD-1'
  ],
  [
    'uk-london-1',
    'gGrq:UK-LONDON-1-AD-1,gGrq:UK-LONDON-1-AD-2,gGrq:UK-LONDON-1-AD-3'
  ],
  [
    'ap-tokyo-1',
    'gGrq:AP-TOKYO-1-AD-1'
  ],
  [
    'us-phoenix-1',
    'gGrq:PHX-AD-1,gGrq:PHX-AD-2,gGrq:PHX-AD-3'
  ],
  [
    'ca-toronto-1',
    'gGrq:CA-TORONTO-1-AD-1'
  ],
  [
    'ap-mumbai-1',
    'gGrq:AP-MUMBAI-1-AD-1'
  ],
  [
    'ap-sydney-1',
    'gGrq:AP-SYDNEY-1-AD-1'
  ],
  [
    'sa-saopaulo-1',
    'gGrq:SA-SAOPAULO-1-AD-1'
  ],
  [
    'eu-zurich-1',
    'gGrq:EU-ZURICH-1-AD-1'
  ],
  [
    'ap-melbourne-1',
    'gGrq:AP-MELBOURNE-1-AD-1'
  ],
  [
    'ap-osaka-1',
    'gGrq:AP-OSAKA-1-AD-1'
  ],
  [
    'eu-amsterdam-1',
    'gGrq:EU-AMSTERDAM-1-AD-1'
  ],
  [
    'me-jeddah-1',
    'gGrq:ME-JEDDAH-1-AD-1'
  ],
]

# Release notes for images are at the following URL: https://docs.cloud.oracle.com/iaas/images

# OracleLinux images used to launch in each region.  Associated with the following name:
#     Oracle-Linux-7.7-2019.12.18-0
images = [
  [
    'eu-frankfurt-1',
    'ocid1.image.oc1.eu-frankfurt-1.aaaaaaaalljvzqt3aw7cwpls3oqx7dyrcuntqfj6xn3a2ul3jiuby27lqdxa'
  ],
  [
    'us-ashburn-1',
    'ocid1.image.oc1.iad.aaaaaaaaxrcvnpfxfsyzv3ytuu6swalnbmocneej6yj4nr4vbcoufgmfpwqq'
  ],
  [
    'ap-seoul-1',
    'ocid1.image.oc1.ap-seoul-1.aaaaaaaaw52bcejclqwpqchgfx7fhuj4f4smruqxdywwn3uy2xhmhh6bzpza'
  ],
  [
    'uk-london-1',
    'ocid1.image.oc1.uk-london-1.aaaaaaaagwdcgcw4squjusjy4yoyzxlewn6omj75f2xur2qpo7dgwexnzyhq'
  ],
  [
    'ap-tokyo-1',
    'ocid1.image.oc1.ap-tokyo-1.aaaaaaaarl7op6ken6hpevfwuevfnt6ic3tlhitu7pct2py5uxdzyvqb5mkq'
  ],
  [
    'us-phoenix-1',
    'ocid1.image.oc1.phx.aaaaaaaactxf4lnfjj6itfnblee3g3uckamdyhqkwfid6wslesdxmlukqvpa'
  ],
  [
    'ca-toronto-1',
    'ocid1.image.oc1.ca-toronto-1.aaaaaaaa6wg3hkw7qxwgysuv5c3fuhtyau5cps4ktmjgxvdtxk6ajtf23fcq'
  ],
  [
    'ap-mumbai-1',
    'ocid1.image.oc1.ap-mumbai-1.aaaaaaaaka7f3qhfuobx2s7dqfgbcx5klllh5xlflbgzb5pymqsnuphehk2a'
  ],
  [
    'ap-sydney-1',
    'ocid1.image.oc1.ap-sydney-1.aaaaaaaazy24niulp5e5a5oyaadjrwnwoa2g6f2hay2f26dqy63pn5sljjma'
  ],
  [
    'sa-saopaulo-1',
    'ocid1.image.oc1.sa-saopaulo-1.aaaaaaaatwrc37cesjtgx3gm4vzq6ocpedgzxjystewc2a7stnv2ydcoiquq'
  ],
  [
    'eu-zurich-1',
    'ocid1.image.oc1.eu-zurich-1.aaaaaaaaf2fwfgbpxz2g3boettl3q6tow7efs34v2t2t5r45yuydvkqm32ha'
  ],
  [
    'ap-melbourne-1',
    'ocid1.image.oc1.ap-melbourne-1.aaaaaaaao3kjejwjginqslqzfw7md5qmizbdm2rcgbgkhifdj2tzg7gw5ssq'
  ],
  [
    'ap-osaka-1',
    'ocid1.image.oc1.ap-osaka-1.aaaaaaaax5uq2w46tdmotc4wqcqyfc44zoir2muzxshimgs7b2klgog2j3ga'
  ],
  [
    'eu-amsterdam-1',
    'ocid1.image.oc1.eu-amsterdam-1.aaaaaaaakhal5ngemg5tcnmynhk7uuajv4ezilgtfu3tkblrk2owugngpbdq'
  ],
  [
    'me-jeddah-1',
    'ocid1.image.oc1.me-jeddah-1.aaaaaaaapezrufzs3hp6luhp3gw3yatg4z3xb3rfxxwvirppdlwrq47mplmq'
  ],
]


# Windows images used to launch in each region.  Associated with the following name:
#     Windows-Server-2016-Standard-Edition-VM-Gen2-2020.01.14-0
windowsimages = [
  [
    'eu-frankfurt-1',
    'ocid1.image.oc1.eu-frankfurt-1.aaaaaaaabgz6uyv4lsvn4n5biimheldf3oqlsv57sgyrqr23y4fga3u553ca'
  ],
  [
    'us-ashburn-1',
    'ocid1.image.oc1.iad.aaaaaaaauwpipy7yex62fvqix7a7ipdzdhc6pdz57vkowvc4jhkfrazm6bwa'
  ],
  [
    'ap-seoul-1',
    'ocid1.image.oc1.ap-seoul-1.aaaaaaaak22mo5iuorfuutp65kkjh4qlhn5ixueuwijhshheapyxwbj5xomq'
  ],
  [
    'uk-london-1',
    'ocid1.image.oc1.uk-london-1.aaaaaaaaraiur2saeneruix7avikzgvobacex4a3lkexwurty7iinqgs5kkq'
  ],
  [
    'ap-tokyo-1',
    'ocid1.image.oc1.ap-tokyo-1.aaaaaaaaqqe3xlsipnanxvls7sydfchgp34uoh6gs2ymmt3wtvxbbavebwrq'
  ],
  [
    'us-phoenix-1',
    'ocid1.image.oc1.phx.aaaaaaaan57vn7nfbjtklcc2e46jzylum7d3jnb762erd26evl3xhnvoceya'
  ],
  [
    'ca-toronto-1',
    'ocid1.image.oc1.ca-toronto-1.aaaaaaaaq44jibkjmdspz3jn7hdc6uzvpgvtwr6ch4za3fq4mxioqfoxqxja'
  ],
  [
    'ap-mumbai-1',
    'ocid1.image.oc1.ap-mumbai-1.aaaaaaaasc2wsrcxrwdfn4zh6wmdnu4glsynelffdm6xgbjh3ipd5umpx2xa'
  ],
  [
    'ap-sydney-1',
    'ocid1.image.oc1.ap-sydney-1.aaaaaaaa3ir4nlvogcden7ncm6wgjisr7fyshmqxtavu5vo4rfrb742p3txa'
  ],
  [
    'sa-saopaulo-1',
    'ocid1.image.oc1.sa-saopaulo-1.aaaaaaaahks2snkmp2hqhbudpwmtrkavzm6t5hidb5yznpvvd6xsa4oes6sa'
  ],
  [
    'eu-zurich-1',
    'ocid1.image.oc1.eu-zurich-1.aaaaaaaakkzh3flq3etztpviemeuvd3tao7frk6a6qsduazwbvpv7ou4t4ma'
  ],
  [
    'ap-melbourne-1',
    'ocid1.image.oc1.ap-melbourne-1.aaaaaaaatdyrmhvyt4bl74oum5gpgevunwatgmpbuqn6jun4r7qbnczcn4dq'
  ],
  [
    'ap-osaka-1',
    'ocid1.image.oc1.ap-osaka-1.aaaaaaaaobpeuodhowu57rehuhyzxww552hwqseagitt2j4yjh6hbt6z4xbq'
  ],
  [
    'eu-amsterdam-1',
    'ocid1.image.oc1.eu-amsterdam-1.aaaaaaaa27dp74s7gs7f5u7h3jquusq2moq5owfmxarnjhxefodzqgsilqqa'
  ],
  [
    'me-jeddah-1',
    'ocid1.image.oc1.me-jeddah-1.aaaaaaaabibtjsm5j5xnuxxbtn6uash2iw6s637wwwcpcdddadlvoilksk6a'
  ],
]


# Ubuntu images used to launch in each region.  Associated with the following name:
#     Canonical-Ubuntu-18.04-2020.01.16-0
ubuntuimages = [
  [
    'eu-frankfurt-1',
    'ocid1.image.oc1.eu-frankfurt-1.aaaaaaaatot5esma6mwxytau4ti62a3ehwxxifuqtmnqfwzuqh6mw7ug7wfa'
  ],
  [
    'us-ashburn-1',
    'ocid1.image.oc1.iad.aaaaaaaa45ll26ndlu2xn7zowrb3ypzgioafbdl3ysset3yiivqavihvs3cq'
  ],
  [
    'ap-seoul-1',
    'ocid1.image.oc1.ap-seoul-1.aaaaaaaapqkmpmivbllwekxijf2mtjeuhdslj53i6eo7nhysk7jynode5bzq'
  ],
  [
    'uk-london-1',
    'ocid1.image.oc1.uk-london-1.aaaaaaaa3sn7i6menjfhhccaq2owgqjo3nkvwymih2k7f2p6vv7hyy7owhuq'
  ],
  [
    'ap-tokyo-1',
    'ocid1.image.oc1.ap-tokyo-1.aaaaaaaa3ks5vrsf7p6dw44ka2tml6hwaeqwwchlexud7iskvic7xvqawmea'
  ],
  [
    'us-phoenix-1',
    'ocid1.image.oc1.phx.aaaaaaaaj3ydnbgnfbqjjn3jcgjknxynlscgkh3ehqzfoet4h5qct3vppuia'
  ],
  [
    'ca-toronto-1',
    'ocid1.image.oc1.ca-toronto-1.aaaaaaaa5qnnky5a325eq6fk6aq5qcg4d5aj3elziz4ji4rbdkghriim2tya'
  ],
  [
    'ap-mumbai-1',
    'ocid1.image.oc1.ap-mumbai-1.aaaaaaaakbg7kr6geys4co6eui427zep2ijcnzm3fgc7oefl5gwkmnbkumqq'
  ],
  [
    'ap-sydney-1',
    'ocid1.image.oc1.ap-sydney-1.aaaaaaaah6yfufc3y63nhqcbwgou3a5yriohef7ottmw73mdwvua2cwzacja'
  ],
  [
    'sa-saopaulo-1',
    'ocid1.image.oc1.sa-saopaulo-1.aaaaaaaafjh6yhqgrgqqt5mldgyx6nqw56jgj2a5cejgcogisi5mfxat5eeq'
  ],
  [
    'eu-zurich-1',
    'ocid1.image.oc1.eu-zurich-1.aaaaaaaablowl27locenmwfy2dfq3cxoxwy4uqt4bccjadn5i7u3jobod7na'
  ],
  [
    'ap-melbourne-1',
    'ocid1.image.oc1.ap-melbourne-1.aaaaaaaaqad2ze4rjhb54gufxyy4xayymfyjjmtetw7zsdjuca4py6f6egxa'
  ],
  [
    'ap-osaka-1',
    'ocid1.image.oc1.ap-osaka-1.aaaaaaaaaiahwgrlhwwgsmze7rredd36w6iegvdb254woapv5kp3nfpooq4a'
  ],
  [
    'eu-amsterdam-1',
    'ocid1.image.oc1.eu-amsterdam-1.aaaaaaaacgv3r5wc5zqhstyvqspvhw7rb6ktaah7dcdnfxqtcbqe2unv47vq'
  ],
  [
    'me-jeddah-1',
    'ocid1.image.oc1.me-jeddah-1.aaaaaaaav3cmcfpjri46nsj3inoz6hlhjvqe67unnbffpt522grlie7oed3a'
  ],
]


# CentOS images used to launch in each region.  Associated with the following name:
#     CentOS-7-2019.12.18-0
centosimages = [
  [
    'eu-frankfurt-1',
    'ocid1.image.oc1.eu-frankfurt-1.aaaaaaaayr4br26ycze7ku5ygfxbyuvllpadmkcif7hwffmcd6d5fftwl35a'
  ],
  [
    'us-ashburn-1',
    'ocid1.image.oc1.iad.aaaaaaaabmbsmvhzpwprhobxfpqj2rx5zhrw65fbmf57ll5ft7ln6aaso5ea'
  ],
  [
    'ap-seoul-1',
    'ocid1.image.oc1.ap-seoul-1.aaaaaaaah3wjrnnp4eiknqx7wts3tzx6sazjpibwj6dvvaqyovu4k6upaetq'
  ],
  [
    'uk-london-1',
    'ocid1.image.oc1.uk-london-1.aaaaaaaabf2eslezq4wejiu3kq7zbbbmkw5k55eltwmpgpgzju2t7q3nlx7q'
  ],
  [
    'ap-tokyo-1',
    'ocid1.image.oc1.ap-tokyo-1.aaaaaaaanuhhjf66quxrwi55tmdmxdrufqsuw2prwhajo6okqdy252mk4ysq'
  ],
  [
    'us-phoenix-1',
    'ocid1.image.oc1.phx.aaaaaaaa7t6wuhdvewi46ph4rirkdnwdpgeloomyzzcp3umedcbccsamyksq'
  ],
  [
    'ca-toronto-1',
    'ocid1.image.oc1.ca-toronto-1.aaaaaaaatbl3sxabzjb5pnpaaa5cvwyz2ehjtdbagzx2fayojw3y2wrscv4q'
  ],
  [
    'ap-mumbai-1',
    'ocid1.image.oc1.ap-mumbai-1.aaaaaaaatz4ysiyvgpqptevhzn6yhie5bh23oyrisjb463h6ek6evotfk5ga'
  ],
  [
    'ap-sydney-1',
    'ocid1.image.oc1.ap-sydney-1.aaaaaaaamfz4w4fvg7ewunivzajyhgujyrlcly424gk4k2fmooupo5m72ngq'
  ],
  [
    'sa-saopaulo-1',
    'ocid1.image.oc1.sa-saopaulo-1.aaaaaaaau44bjgkoahxdaod4s3cvmm73dwtjfjn7ono7mkf35lpofih4obwa'
  ],
  [
    'eu-zurich-1',
    'ocid1.image.oc1.eu-zurich-1.aaaaaaaadfiflm7xwqpsm4z3l4t6wwnbvmqwzdn3y7aka6cef57zzkgjr6lq'
  ],
  [
    'ap-melbourne-1',
    'ocid1.image.oc1.ap-melbourne-1.aaaaaaaauvdjz5rxu24t4jcekmafsdjaqx3gsbjm5txt3chie5k3zdl77w6q'
  ],
  [
    'ap-osaka-1',
    'ocid1.image.oc1.ap-osaka-1.aaaaaaaacl6bnufe5pusan6rk4e6y6iqzmkotqxpfiqzqfu7eajujyw7wk7a'
  ],
  [
    'eu-amsterdam-1',
    'ocid1.image.oc1.eu-amsterdam-1.aaaaaaaaznm4cw4ronao6xvohh3qazbmurtfcbw2va63y3diwqe4ecmhqcpq'
  ],
  [
    'me-jeddah-1',
    'ocid1.image.oc1.me-jeddah-1.aaaaaaaa3c4yazldsdy6tbzeliuyj27dpcdnrbnvglivan6b36t7ph22binq'
  ],
]



# the `overrides' file is the easiest place to put your custom settings.
# in particular, tenancy and compartment are likely to be overridden.
# to allow a user multiple files, it's named with an environment variable.
if 'OVERRIDES' in environ:
    exec(open(environ['OVERRIDES']).read())
    print('loaded overrides')
# Configuration:2 ends here
