#!/usr/bin/env python3
# [[file:~/bigtest/bigtest.org::*Helper functions][Helper functions:1]]
from multiprocessing import Pool
from config import regions
def instancenamegen(region,ad,count):
    return 'instance-' + region + '-' + ad + '-' + ('%d' % count)

class InstanceBuilder:
    def __init__(self,region,ad,count):
        self.region = region
        self.ad = ad
        assert count > 0
        self.count = count
        self.curcount = 0

    def __iter__(self): return self

    def __next__(self):
        curcount = self.curcount 
        self.curcount = self.curcount + 1
        if self.curcount > self.count:
            raise StopIteration()
        return ((self.region,self.ad,curcount,instancenamegen(self.region,self.ad,curcount)))

def generate_instances(count,regions_):
    res = []
    for (region,ADs) in regions_:
        for AD in ADs.split(','):
            res.append(iter(InstanceBuilder(region,AD,count)))
    return res

def shard_instances(iterators,callback):
    return Pool(processes=len(iterators)).map(callback,iterators)

if __name__ == '__main__':
    iterators = generate_instances(30,regions)
    def printinstance(instanceiterator):
         res = []
         for instance in instanceiterator:
              res.append(instance)
         return res

    print(shard_instances(iterators,printinstance))
# Helper functions:1 ends here
