#!/usr/bin/env python3
# [[file:~/bigtest/bigtest.org::*Deletion script][Deletion script:1]]
import os,sys,sqlite3,time,oci

from config import homeregion

if len(sys.argv) != 2:
    sys.exit('%s dbfilename' % sys.argv[0])

conn = sqlite3.connect(sys.argv[1])

config = oci.config.from_file()
config['region'] = homeregion

cc= oci.identity.IdentityClient(config)
osclient = oci.object_storage.ObjectStorageClient(config)
s_adminclient = oci.streaming.StreamAdminClient(config)

policyid = conn.execute("SELECT value FROM Globals WHERE name = 'dynamic-group-policy';").fetchone()[0]
cc.delete_policy(policyid)
dgid = conn.execute("SELECT value FROM Globals WHERE name = 'dynamic-group-id';").fetchone()[0]
cc.delete_dynamic_group(dgid)

streamid = conn.execute("SELECT value from Globals WHERE name = 'stream';").fetchone()[0]
s_adminclient.delete_stream(streamid)

bucketname = conn.execute("SELECT value FROM Globals WHERE name = 'bucket-name';").fetchone()[0]
namespace = osclient.get_namespace().data
for object in osclient.list_objects(namespace,bucketname).data.objects:
    osclient.delete_object(namespace,bucketname,object.name)

osclient.delete_bucket(namespace,bucketname)
# Deletion script:1 ends here
